1. 16 8月, 2016 4 次提交
  2. 15 8月, 2016 2 次提交
    • Update dns help with a correct domain name · e3a42d98
      Closes https://github.com/ipfs/faq/issues/161
      
      License: MIT
      Signed-off-by: 's avatarKevin Simper <kevin.simper@gmail.com>
      Kevin Simper 提交于
    • ipfs-test-lib: fix test_fsh arg quoting · 2489dfe8
      test_fsh() should quote its arguments before passing them
      to `eval` otherwise there are problems when the arguments
      contain spaces.
      
      For example when running the following program:
      
      ```
      #!/bin/sh
      
      . ./ipfs-test-lib.sh
      
      die () {
          printf >&2 "%s\n" "$@"
          exit 1
      }
      
      DIR1="test dir 1"
      DIR2="test dir 2"
      
      mkdir "$DIR1" "$DIR2" || die "Could not mkdir '$DIR1' '$DIR2'"
      
      echo "in dir 1" >"$DIR1/file1" || die "Could not write into '$DIR1/file1'"
      echo "in dir 2" >"$DIR2/file2" || die "Could not write into '$DIR2/file2'"
      
      if test_cmp "$DIR1/file1" "$DIR2/file2"
      then
          echo "test_cmp succeeded!"
      else
          echo "test_cmp failed!"
      fi
      
      rm -rf "$DIR1" "$DIR2" || die "Could not rm -rf '$DIR1' '$DIR2'"
      
      ```
      
      we get:
      
      ```
      > diff -u test dir 1/file1 test dir 2/file2
      diff: extra operand '1/file1'
      diff: Try 'diff --help' for more information.
      
      test_cmp failed!
      ```
      
      License: MIT
      Signed-off-by: 's avatarChristian Couder <chriscool@tuxfamily.org>
      Christian Couder 提交于
  3. 10 8月, 2016 1 次提交
  4. 09 8月, 2016 1 次提交
  5. 07 8月, 2016 3 次提交
  6. 06 8月, 2016 1 次提交
  7. 04 8月, 2016 9 次提交
  8. 03 8月, 2016 12 次提交
  9. 02 8月, 2016 2 次提交
  10. 01 8月, 2016 5 次提交